Shortens Facets Pretty Paths:

- Removes the term ids from the term aliases.
If a machine name is not available yet, there is a fallback
to the default term coder, with the term id, to guarantee unicity.
- Multiple values (Facet items) are delimited by a dot,
the Facet alias is present only once.

So we have e.g.: /color/black.yellow.red
instead of /color/black-1/color/yellow-2/color/red-3

## Dependencies

- Facets Pretty Paths
- Taxonomy Machine Name

## Related Facet Pretty Paths issues:

A contributed solution has been favoured to a patch as

- we introduce another dependency
(https://www.drupal.org/project/facets_pretty_paths/issues/3024640)
- it required to override the active_filters service
(https://www.drupal.org/project/facets_pretty_paths/issues/2878617)

## Roadmap

- Make the facet items delimiter configurable
